# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI="2"

inherit distutils

MY_P="${P/_p/-}"
MY_PV="${PV/_p*/}"

DESCRIPTION="The pulse2 inventory server and its Python plugins."
HOMEPAGE="http://pulse2.mandriva.org/"
SRC_URI="http://pulse2.mandriva.org/pub/pulse2/server/sources/${MY_PV}/${MY_P}.tar.gz
	http://ftp.mars.arge.at/mds/${MY_P}.tar.gz"

LICENSE="GPL-2"
KEYWORDS="~amd64 ~x86 ~x86-fbsd"
IUSE=""

SLOT="0"

RDEPEND=">=dev-python/twisted-web-0.7.0
	>=dev-python/sqlalchemy-0.5.2
	>=app-admin/pulse2-common-${MY_PV}
	>=app-admin/pulse2-mmc-plugins-${MY_PV}"

DEPEND=">=dev-python/setuptools-0.6_rc1"

S="${WORKDIR}/${PN}-${MY_PV}"

# from marienz's setuptools.eclass:
src_install() {
	"${python}" setup.py install --root="${D}" --no-compile "$@" || die "install failed"
	dosbin bin/pulse2-inventory-server bin/pulse2-inventory-ssl-proxy || die "bin install failed"
	insinto etc/mmc/pulse2/inventory-server/keys
	doins -r conf/keys/* || die "key install failed"
	insinto etc/mmc/pulse2/inventory-server
	doins -r conf/inventory-server/*.ini || die "ini install failed"
	insinto usr/share/doc/${P}
	doins -r contrib || die "config sample install failed"
	dodoc Changelog

	newinitd "${FILESDIR}"/pulse2-inventory-server.initd pulse2-inventory-server
}
